<?php

/**
 * @file
 * Provide views data for access_policy.module.
 */

/**
 * Implements hook_views_data_alter().
 */
function access_policy_views_data_alter(array &$data) {
  $access_controlled_entity_types = \Drupal::service('access_policy.information')->getAllEnabledEntityTypes();

  foreach ($access_controlled_entity_types as $entity_type) {
    $table = $entity_type->getDataTable() ?: $entity_type->getBaseTable();

    $data[$table]['access_policy'] = [
      'title' => t('Access Policy'),
      'help' => t('The access policy assigned to the entity.'),
      'field' => [
        'id' => 'access_policy_field',
        'default_formatter' => 'content_access_policy',
        'field_name' => 'access_policy',
      ],
      'filter' => [
        'id' => 'access_policy_filter',
        'allow empty' => TRUE
      ],
    ];
  }

}
