<?php

namespace Drupal\access_policy;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;

/**
 * The access control handler for the content_access_policy entity type.
 *
 * @see \Drupal\access_policy\Entity\ContentAccessPolicy
 */
class ContentAccessPolicyAccessControlHandler extends EntityAccessControlHandler {

  /**
   * {@inheritdoc}
   */
  public function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
    // ContentAccessPolicy is an internal entity type. Access is denied for
    // creating. In order to update an entity's access policy use its
    // access_policy field.
    return AccessResult::forbidden('ContentAccessPolicy is an internal entity type.');
  }

  /**
   * {@inheritdoc}
   */
  protected function checkCreateAccess(AccountInterface $account, array $context, $entity_bundle = NULL) {
    // ContentAccessPolicy is an internal entity type. Access is denied for
    // creating. In order to update an entity's access policy use its
    // access_policy field.
    return AccessResult::forbidden('ContentAccessPolicy is an internal entity type.');
  }

}
