<?php

namespace Drupal\access_policy\Plugin\AccessPolicyType;

/**
 * Group access policy type.
 *
 * @AccessPolicyType(
 *   id = "group",
 *   label = @Translation("Group"),
 *   description = @Translation("Use permissions and rules to control view, edit and delete access for different groups."),
 *   weight = -3,
 *   operations = {
 *     "view" = {
 *        "permission" = true,
 *        "rules" = true,
 *     },
 *     "view all revisions" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "update" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "delete" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "view unpublished" = {
 *         "permission" = true,
 *         "rules" = true,
 *      },
 *     "manage access" = {
 *       "rules" = true,
 *      },
 *   }
 * )
 */
class GroupAccess extends AccessPolicyTypeBase {

}
