<?php

namespace Drupal\access_policy\Plugin\AccessPolicyType;

/**
 * Private access policy type.
 *
 * @AccessPolicyType(
 *   id = "private",
 *   label = @Translation("Private"),
 *   description = @Translation("Restrict view, edit and delete access to the original author."),
 *   weight = -1,
 *   operations = {
 *     "view" = {
 *       "rules" = true,
 *     },
 *     "view all revisions" = {
 *       "rules" = true,
 *     },
 *     "update" = {
 *       "rules" = true,
 *      },
 *     "delete" = {
 *       "rules" = true,
 *      },
 *     "view unpublished" = {
 *       "rules" = true,
 *      },
 *     "manage access" = { },
 *   },
 *   access_rules = {
 *     "is_own" = {
 *       "id" = "is_own",
 *       "plugin_id" = "is_own",
 *       "field" = "uid",
 *       "required" = true,
 *     },
 *   },
 *   selection_rules = {
 *     "is_own" = {
 *       "id" = "is_own",
 *       "plugin_id" = "is_own",
 *       "field" = "uid",
 *       "required" = true,
 *     },
 *   },
 * )
 */
class PrivateAccess extends AccessPolicyTypeBase {

}
